/*

    Libre Media Server Audio - An Open source Media Server for arts and performing.
    (c) Criptomart - Santiago Noreña 2012-2024 <lms@criptomart.net>
    https://git.criptomart.net/libremediaserver

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "libremediaserver-audio-ui.h"


libreMediaServerAudioUi::libreMediaServerAudioUi(QWidget *parent)
    : QMainWindow(parent)
{
    ui.setupUi(this);
    this->setWindowTitle(VERSION);
    m_aw = new AudioWidget(this);
    setCentralWidget(m_aw);
    m_dmxWidget = new dmxWidget(this);
    QDockWidget *topWidget = new QDockWidget(tr("Master"), this);
    topWidget->setAllowedAreas(Qt::TopDockWidgetArea);
    topWidget->setWidget(m_dmxWidget);
    topWidget->setContentsMargins(0, 0, 0, 0);
    addDockWidget(Qt::TopDockWidgetArea, topWidget);
    connect(ui.actionLaunch_OLA_Setup, SIGNAL(triggered()), this, SLOT(olasetup()));
    connect(ui.actionLaunchShowPlayer, SIGNAL(triggered()), this, SLOT(launchShowPlayerWindow()));
    this->setContentsMargins(0, 0, 0, 0);
    this->setStyleSheet(
                "margin: 0px;"
                "color: white;"
                "background-color: #3f3038;"
                "selection-color: blue;"
                "selection-background-color: green"
                );
    m_showPlayer = new ShowPlayer();
}

libreMediaServerAudioUi::~libreMediaServerAudioUi()
{
}

void libreMediaServerAudioUi::olasetup()
{
    QWebView *view = new QWebView();
    view->load(QUrl("http://localhost:9090/ola.html"));
    view->show();
}

void libreMediaServerAudioUi::launchShowPlayerWindow()
{
    //m_showPlayer->showMaximized();
    m_showPlayer->show();
}
