#ifndef SLIDERGROUP_H
#define SLIDERGROUP_H

#include <QObject>
#include <QWidget>
#include <QDebug>

#include "clickabledoublespinbox.h"
#include "clickableslider.h"

class SliderGroup : public QWidget
{
    Q_OBJECT
public:
    SliderGroup(QString name,
                int min,
                int max,
                int decimals,
                QWidget *parent = nullptr);

signals:
    void valueChanged(int value);

public slots:
    void setValue(float value);
    void sliderValueChanged(int value);

private:
    ClickableSlider slider;
    ClickableDoubleSpinBox valueBox;

private slots:
    void enableSlider() { slider.setEnabled(true); }

};

#endif
